/*
   Myfxbook     "tester\files\statement.bin"
: http://forum.mql4.com/ru/65990

   ->  ->  ->   ' WebRequest   URL:'
    :
  http://upload1.myfxbook.com
  http://upload2.myfxbook.com

  DLL - kernel32.dll (MoveFileW(...))
*/

#property strict

#import "kernel32.dll"
  bool MoveFileW( const string ExistingFileName, const string NewFileName );
#import

#include <MyInclude\Myfxbook.mqh>

sinput string sLogin =    ""; // Myfxbook login (e-mail)
sinput string sPassword = ""; // Myfxbook password

bool TesterFileToMQL4Folder( const string FileName )
{
  static const string DataPath = TerminalInfoString(TERMINAL_DATA_PATH);
  const string Source = DataPath + "\\tester\\files\\" + FileName;
  const string Destination = DataPath + "\\MQL4\\Files\\" + FileName;

  FileDelete(FileName);

  return(MoveFileW(Source, Destination));
}

void OnInit( void )
{
  EventSetTimer(1);

  return;
}

bool ChangeGlobalVariable( void )
{
  static const string Name = "TesterStatement";
  static double PrevValue = GlobalVariableGet(Name);

  const double Value = GlobalVariableGet(Name);
  const bool Res = (PrevValue != Value);

  if (Res)
    PrevValue = Value;

  return(Res);
}

void StatementToMyfxbook( const string Login, const string Password, const string FileName = "" )
{
  //  
  STATEMENT Statement(FileName);

  //    
  MYFXBOOK MyFxAccount(Login, Password);

  //     
  MyFxAccount.Publisher(Statement);

  return;
}

void TesterToMyfxbook( const string FileName )
{
  if (ChangeGlobalVariable())
    if (TesterFileToMQL4Folder(FileName))
      StatementToMyfxbook(sLogin, sPassword, FileName);

  return;
}

void OnTimer( void )
{
  TesterToMyfxbook("statement.bin");

  return;
}